#ifndef _DEFS_H_
#define _DEFS_H_


#include <termio.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <strings.h>
#include <ctype.h>

#define randomx(num) (int)(((rand())*(long)(num))/(((long)RAND_MAX)+1))
#define randomize() srand((unsigned)time(NULL)|1)
#define PROGNAME "Gryphon/X BBS v0.53"

#define	KEY_BACKSPACE	8
#define	KEY_LINEFEED	10
#define KEY_ENTER	13
#define	KEY_ESCAPE	27
#define KEY_RUBOUT	127
#define	KEY_UP		200
#define	KEY_DOWN	201
#define	KEY_LEFT	202
#define	KEY_RIGHT	203
#define	KEY_HOME	204
#define	KEY_END		205
#define	KEY_INS		206
#define	KEY_DEL		207
#define	KEY_PGUP	208
#define	KEY_PGDN	209

#define MSG_QUOTE	0
#define MSG_TEXT	1
#define MSG_TEAR	2
#define MSG_ORIGIN	3

#define NO			0
#define YES			1
#define ASK			2

int total_users;
int total_mbases;
int total_fbases;
int total_nodes;
int total_lingo;
int total_FSEs;
int current_node;
int onceonly;
int iMyNode;
int numcmds;
int onlyonce;
int zlog_today;
unsigned long MH,ML,MO,MR;

char yna[3][21];
char pwd[81];
char OptStr[10][66];
char thisuser_temp_path[81];
char todayslog[81];
char deftextpath[91];
char defmenupath[91];
char deflingofile[91];
mb_list_rec current_mb;
noderec curnode;
userrec thisuser,othr;
configrec config;
menucmdrec menucmd;
menutoprec menutop;
zlogrec zlog;
lingorec lingo;
unsigned long TimeCnt;

#endif
