/*****************************************************************************
 *
 * File ..................: oneliners.c
 * Purpose ...............: oneliners functions.
 * Last modification date : 08-Feb-2001
 *
 *****************************************************************************
 * Copyright (C) 2000-2001
 *   
 * Darryl Perry			
 * FIDO:		1:211/105
 * Internet:	dperry.geo@yahoo.com
 *
 * This file is part of Gryphon/X BBS.
 *
 * This BBS is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * Gryphon/X BBS is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Gryphon/X BBS; see the file COPYING.  If not, write to the Free
 * Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *****************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "structs.h"
#include "defs.h"
#include "basics.h"
#include "conio.h"
#include "fileio.h"
#include "mci.h"
#include "oneliners.h"

void AddLine(char *ttxt)
{
	FILE *tmp,*fptr;
	char file1[91],file2[91];
	char linstr[91],text[81];
	char cnt=0;

	sprintf(file1,"%soneliners.ans",config.textpath);
	sprintf(file2,"%soneliners.ans.tmp",config.textpath);

	rename(file1,file2);			/* Copy the file to tmp */

	if((fptr=fopen(file1,"wt"))==NULL){
		mci("~SMError opening oneliners file for writing.~SM~SP");
		return;
		}

	sprintf(linstr,"%s",lingostr(2003));	/* Get the format from the lang */	
	char2A(1,ttxt);							/* fill it up */
	char2A(2,thisuser.alias);
	mciEseries(linstr);						/* convert it */
	mcimacros(linstr);
	mcicolor(linstr,TRUE);
	fprintf(fptr,linstr);					/* Save it to disk */
	fclose(fptr);

	fptr=fopen(file1,"at");
	if(fptr==NULL)	return;
	tmp=fopen(file2,"rt");
	if(tmp==NULL)	return;

	while(fgets(text,81,tmp)!=NULL){
		mci("~SM[%c]",cnt++);
		fputs(ttxt,fptr);
		}

	fclose(fptr);
	fclose(tmp);
	remove(file2);
}

void AddOneliner()
{
	char ttxt[66];

	language(2002);
	*ttxt='\0';
	get_str(ttxt,65);
	char2A(1,ttxt);
	language(2004);
	if(yesno()){
		AddLine(ttxt);
		}
}

void OneLiner()
{
	int done=FALSE;

	while(!done){
		language(2000);
		print_system_text("oneliners");
		language(2001);
		if(yesno()){
			AddOneliner();
			}
		else{
			done=TRUE;
			}
		}
	
}
