/*****************************************************************************
 *
 * File ..................: sysop.c
 * Purpose ...............: Basic sysop functions.
 * Last modification date : 08-Feb-2001
 *
 *****************************************************************************
 * Copyright (C) 2000-2001
 *   
 * Darryl Perry			
 * FIDO:		1:211/105
 * Internet:	dperry.geo@yahoo.com
 *
 * This file is part of Gryphon/X BBS.
 *
 * This BBS is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * Gryphon/X BBS is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Gryphon/X BBS; see the file COPYING.  If not, write to the Free
 * Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *****************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include "structs.h"
#include "defs.h"
#include "basics.h"
#include "mci.h"
#include "fileio.h"
#include "conio.h"
#include "sysop.h"

void UpdateWeekly(struct tm *tm)
{
}

void Syslog(char *strng, ...)
{
	char s[512];
	char datestr[21],path[91],entry[121];
	FILE *fptr;
	time_t t;
	struct tm *tm;
	va_list ap;

	va_start(ap,strng);
	vsprintf(s,strng,ap);
	va_end(ap);
	
	sprintf(path,"%slogfile0.log",config.datapath);
	
	fptr=fopen(path,"at");
	if(fptr==NULL) fptr=fopen(path,"wt");
	if(fptr==NULL) return;

	t=time(NULL);
	tm=localtime(&t);
	strftime(datestr,81,"%Y/%m/%d %H:%M:%S",tm);	
	sprintf(entry,"%s (%03d) %s\n",datestr,iMyNode,s);
	mcimacros(entry);
	mcicolor(entry,thisuser.ugraphics);
	fputs(entry,fptr);
	fclose(fptr);
}
