/*****************************************************************************
 *
 * File ..................: gymon.c
 * Purpose ...............: The main gymon file.
 * Last modification date : 08-Feb-2001
 *
 *****************************************************************************
 * Copyright (C) 2000-2001
 *   
 * Darryl Perry			
 * FIDO:		1:211/105
 * Internet:	dperry.geo@yahoo.com
 *
 * This file is part of Gryphon/X BBS.
 *
 * This BBS is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * Gryphon/X BBS is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Gryphon/X BBS; see the file COPYING.  If not, write to the Free
 * Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *****************************************************************************/

#include <stdio.h>
#include <sys/types.h>
#include <sys/wait.h>

#include "structs.h"
#include "defs.h"
#include "mci.h"
#include "conio.h"
#include "fileio.h"
#include "basics.h"

void display_info();
void display_left();
void display_right();

void gotoxy(int x, int y)
{
	mci("\x1b[%d;%dH",y,x);
}

int main()
{
	open_keyboard();
	clr_scr();
	readconfigdat();
	config.KbTimeOut=1440;
	display_info();
	nl();
	close_keyboard();
	return 0;
}

void display_left()
{
	int i,done=FALSE,cnt=0;
	noderec line;
	
	mci("~SCWho's Online Now");

	for(i=0;i<10;i++){
		if((i % 2)==0){
			gotoxy(40,cnt+3);
			cnt++;
			}
		else
			gotoxy(1,cnt+3);
		mci("~SM%3d) ",i+1);
		if(readnode(&line,i))
			mci("%-18s %-15s",line.alias,line.nodestatus);
		}
}

void display_right()
{
	int i1=0,i2,cnt=0;
	lastcallrec lo;
	char dump[41];
	struct tm *tm;

	while(read_laston(&lo,i1++));
	mci("~SMLast few callers");

	if(i1>10) 	i2=i1-10;
	else		i2=i1;
	while(read_laston(&lo,i2++)){
		tm=localtime(&lo.laston);
		strftime(dump,40,"%m/%d/%y %H:%M",tm);	
		mci("~SM%3d %-25.25s %s",lo.caller,lo.alias,dump);
		cnt++;
		}
}

void display_info()
{
	int status=5;
	int count=0;

	clr_scr();
	while(!kbhit()){
		display_left();
		display_right();
		printf("\n\rCount[%05d]: ",count++);
		}
}
