/*****************************************************************************
 *
 * File ..................: misc.c
 * Purpose ...............: Miscelleneous routines that don't warrant their
 * .......................: own file.
 * Last modification date : 08-Feb-2001
 *
 *****************************************************************************
 * Copyright (C) 2000-2001
 *   
 * Darryl Perry			
 * FIDO:		1:211/105
 * Internet:	dperry.geo@yahoo.com
 *
 * This file is part of Gryphon/X BBS.
 *
 * This BBS is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * Gryphon/X BBS is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Gryphon/X BBS; see the file COPYING.  If not, write to the Free
 * Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *****************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include "structs.h"
#include "defs.h"
#include "acs.h"
#include "basics.h"
#include "conio.h"
#include "fileio.h"
#include "lineedit.h"
#include "misc.h"
#include "mci.h"
#include "nodedit.h"
#include "sysop.h"

char linetext[99][81];
int linecount=0;

void bulletins(char *stub)
{
	char path[121],ttxt[36];
	int done=FALSE;
	int i;

	i=35-strlen(stub);

	while(!done){
		print_system_text(stub);
		language(1746);
		*ttxt='\0';
		get_str(ttxt,i);
		if(strlen(ttxt)>0){
			sprintf(path,"%s%s",stub,ttxt);
			if(print_system_text(path)){
			/*	mci("~SM~SP"); */
				}
			}
		else{
			done=TRUE;
			}
		
		}
}

void automsg_add()
{
	fserec fse;
	char ch,runedit[91],msgtmp[91],autom[91];

	sprintf(autom,"%sautomsg.txt",config.datapath);
	sprintf(msgtmp,"%s/msg.tmp",thisuser_temp_path); 

	if(thisuser.deffse>0){
		readFSE(&fse,thisuser.deffse-1);
		strcpy(runedit,fse.fsecmdpath);
		mcimacros(runedit);
		system(runedit);
		}
	else
		Line_Edit(msgtmp,"");

	if(!file_exist(msgtmp)) return;
	printfile(msgtmp);
	language(1815);
	ch=onekey(lingostr(1816));
	switch(ch){
		case 'Y':	
			rename(msgtmp,autom);
			language(1817);
			config.AutoMsgAnnony=FALSE;
			if(yesno()){
				config.AutoMsgAnnony=TRUE;
				}
			config.AutoMsgUser=thisuser.userID;
			saveconfigdat();
			language(1818);
			break;
		case '=':
			printfile(msgtmp);
			break;
		case 'N':
			language(1819);
			break;
		}
}

void automsg_read()
{
	char automsg[91],amauthor[41];
	userrec othr;

	sprintf(automsg,"%sautomsg.txt",config.datapath);
	if(config.AutoMsgAnnony)	strcpy(amauthor,"Anonnymous");
	else{
		if(read_usr(&othr,config.AutoMsgUser))
			strcpy(amauthor,othr.alias);
		else
			strcpy(amauthor,"Unknown.");
		}
	char2A(1,amauthor);
	language(1810);
	printfile(automsg);
}


void User2UserChat()
{
	
}

void WhoIsOnline()
{
	int i=0;
	char caller[91],loc[91];
	noderec node;

	language(1915);
	language(1916);
	language(1917);
	for(i=0;i<countnodes();i++){
		readnode(&node,i);
		int2A(1,i+1);
		if(node.inuse){
			strcpy(caller,node.alias);
			mcistrset(caller,30);	
			strcpy(loc,node.nodestatus);
			char2A(2,caller);
			char2A(3,node.realname);
			char2A(4,loc);
			char2A(5,node.starttime);
			language(1918);
			}
		else{
			language(1919);
			}	
		}
}

int so()
{
	return(checkACS(config.SysopACS));
}

int cs()
{
	return(checkACS(config.CoSysACS));
}

int sopw()
{
	char ttxt[9];
	int retval=FALSE;

	language(312);
	*ttxt='\0';
	get_password(ttxt,8);
	strupr(ttxt);
	if(strcmp(ttxt,config.systempw)==0){
		retval=TRUE;
		}

	return(retval);
}

void init_node(noderec *nd)
{
    strcpy(nd->homepath,"");
    strcpy(nd->starttime,"00:00");
    strcpy(nd->stoptime,"00:00");
    strcpy(nd->bps,"300");
    strcpy(nd->realname,"Waiting for a Call");
    strcpy(nd->alias,"Waiting for a Call");
    strcpy(nd->location,"");
    strcpy(nd->nodestatus,"Waiting for a Call");
    strcpy(nd->phone,"");
    init_ACS(&nd->ACS,5);
}


void add_node()
{
	noderec nr;

	init_node(&nr);
	nr.idx=countnodes();
	sprintf(nr.homepath,"%stemp%d",config.bbspath,total_nodes);
	savenode(&nr,nr.idx);
	total_nodes=countnodes();
}

void qbbs(int logout)
{
	thisuser.illegal=0;
	save_usr(&thisuser,thisuser.userID);
	readnode(&curnode,iMyNode-1);
	strcpy(curnode.realname,"");
	strcpy(curnode.alias,"Waiting for a Caller");
	strcpy(curnode.nodestatus,"");
	curnode.inuse=FALSE;
	savenode(&curnode,iMyNode-1);
	savezlog();
	Syslog("Completing session on node %d",iMyNode);

	print_system_text("goodbye");	
	if(logout) {
		exit(0);
		}
}

char *show_timeleft(long tl, char *ttxt)
{
	int Hr,Mn,Sc=0;

	if(tl<0)	tl=0;
	Mn=tl/60;        
	Sc=tl-(Mn*60);     
	Hr=Mn/60;
	Mn-=(Hr*60);

	sprintf(ttxt,"%02d:%02d:%02d",Hr,Mn,Sc);
	return(ttxt);
}

int countusers()
{
	int i1=0;
	userrec tuser;

	while(read_usr(&tuser,i1++));
	if(i1<1)	i1=-1;
	else		i1--;
	return(i1);
}

void showmenu(char *menuname, int viewmode)
{
	int wx,i,cnt,oldvm=0;
	char ttxt[121];

	readmenutop(menuname);
	UpdateNodeStatus(menutop.nodemsg);
	wx=(80/menutop.columns)-1;
	if(menutop.mode>0 || viewmode==1){
	if(menutop.flags[0]=='A')	clr_scr();
	if(!print_system_text(menutop.ansimenu)) {
		mci("\r");
		if(strlen(menutop.title[0])>0){
			strcpy(ttxt,menutop.title[0]);
			mcimacros(ttxt);
			if(menutop.flags[1]=='-')	center(ttxt);
			else						mci(ttxt);nl();
			}
		if(strlen(menutop.title[1])>0){
			strcpy(ttxt,menutop.title[1]);
			mcimacros(ttxt);
			if(menutop.flags[7]=='-')	center(ttxt);
			else						mci(ttxt);nl();
			}
		if(strlen(menutop.title[2])>0){
			strcpy(ttxt,menutop.title[2]);
			mcimacros(ttxt);
			if(menutop.flags[7]=='-')	center(ttxt);
			else						mci(ttxt);nl();
			}

		i=0;cnt=0;
		while(readmenucmd(menuname,i)){
			if(checkACS(menucmd.ACS)){
				if(strcmp(menucmd.keys,"SUBHEADER")==0){
					ParseOpt(menucmd.options);
					if(isdigit(OptStr[0][0]))
						wx=(80/atoi(OptStr[0]))-1;
					oldvm=viewmode;
					viewmode=5;
					}
				if(strlen(menucmd.shortcmd)>0 || viewmode==5){
					if(viewmode>1){
						if(viewmode==5)	nl();
						showmnucmd(menucmd.longcmd,thisuser.linelen-1);
						cnt=menutop.columns;
						if(viewmode==5)	{
							viewmode=oldvm; 
							wx=(80/menutop.columns)-1;
							cnt=-1;
							nl(); 
							}
						}
					else{
						showmnucmd(menucmd.shortcmd,wx);
						}
					cnt++;
					}
				if(cnt==menutop.columns){
					mci("\n\r"); 
					cnt=0;
					}
				}
			i++;
			}
		}
	}
	if(menutop.flags['D'-65]=='-')	nl();
	mci(menutop.prompt);

}


void showmnucmd(char *cmddisplay,int wd)
{
	char dsp[91];

	strcpy(dsp,cmddisplay);
	stripCR(dsp);
		
	mcimacros(dsp);
	mcistrset(dsp,wd);
	mci("%s ",dsp);
}


void ParseOpt(char *optstr)
{
	char *p;
	int count=0;

	for(count=0;count<10;count++){
		strcpy(OptStr[count],"");
		}

	count=0;
	p=strtok(optstr,";");
	while(p && count<10){
		strcpy(OptStr[count++],p);	
		p=strtok(NULL,";");
		}
}

void UpdateNodeStatus(char *newstat)
{
	if(strlen(newstat)>0){
		readnode(&curnode,iMyNode-1);
		strcpy(curnode.nodestatus,newstat);
		savenode(&curnode,iMyNode-1);
		}
}

char *faddr2char(char *s,fidoaddr *fa)
{
	if(fa->point)
		sprintf(s,"%u:%u/%u.%u",
			fa->zone,fa->net,fa->node,fa->point);
	else
		sprintf(s,"%u:%u/%u",
			fa->zone,fa->net,fa->node);
	return(s);	
}

int checkACS(ACSrec acs)
{
	int retval=TRUE;

	if(acs.min_sl>0)
		retval=(thisuser.sl < acs.min_sl)?FALSE:TRUE;
	if(acs.mgroup.onn && retval)
		retval=BitTst(acs.mgroup.onn,thisuser.lastgroup-'A');
	if(acs.mgroup.off && retval)
		retval=(BitTst(acs.mgroup.off,thisuser.lastgroup-'A'))?FALSE:TRUE;
	if(acs.fgroup.onn && retval)
		retval=BitTst(acs.fgroup.onn,thisuser.lastgroup-'A');
	if(acs.fgroup.off && retval)
		retval=(BitTst(acs.fgroup.off,thisuser.lastgroup-'A'))?FALSE:TRUE;
	if(acs.min_age>0 && calc_age(&thisuser)>0)
		retval=(acs.min_age>calc_age(&thisuser))?FALSE:TRUE;

	return(retval);
}

void init_ACS(ACSrec *ACS, unsigned char sl)
{
	ACS->eflags.onn=0L;
    ACS->eflags.off=0L;
    ACS->fflags.onn=0L;
    ACS->fflags.off=0L;
	ACS->mgroup.onn=0xFFFFFFFF;
	ACS->mgroup.off=0L;
	ACS->fgroup.onn=0xFFFFFFFF;
	ACS->fgroup.off=0L;
    ACS->gender=0;
    ACS->min_sl=sl;
    ACS->dotw=0;
    ACS->min_age=0;
    ACS->min_logons=0;
    ACS->min_nodes=0L;
}

int countnodes()
{
	int i1=0;
	noderec nr;

	while(readnode(&nr,i1))
		i1++;
	return(i1);
}

int countmbases()
{
	int i1=0;
	mb_list_rec mb;

	while(read_mbaselist(&mb,i1++));
	if(i1<1)	i1=-1;
	else		i1--;
	return(i1);
}

int countfbases()
{
	int i1=0;
	fb_list_rec fb;

	while(read_fbaselist(&fb,i1++));
	if(i1<1)	i1=-1;
	else		i1--;
	return(i1);
}

int countFSE()
{
	int i1=0;
	fserec fb;

	while(readFSE(&fb,i1++));
	return(i1-1);
}

int countlingo()
{
	int i1=0;
	lingorec fb;

	while(readLingo(&fb,i1++));
	return(i1-1);
}

int calc_age(userrec *tu)
{
	int retval=0,mon,day,year;
	int count1,count2;
	time_t t;
	struct tm *tm;

	(void)time(&t);
	tm=localtime(&t);
	tm->tm_year+=1900;
 
	mon=atoi(tu->birthday_mo);
	day=atoi(tu->birthday_dy);
	year=atoi(tu->birthday_yr);
	if(mon==1 && day==1 && year==1970)
		return retval;
	count1=(year*12)+mon;
	count2=(tm->tm_year*12)+tm->tm_mon;
	retval=(count2-count1)/12;

	return(retval);
}
