/*****************************************************************************
 *
 * File ..................: msgbase.c
 * Purpose ...............: Minor message base functions.
 * Last modification date : 08-Feb-2001
 *
 *****************************************************************************
 * Copyright (C) 2000-2001
 *   
 * Darryl Perry			
 * FIDO:		1:211/105
 * Internet:	dperry.geo@yahoo.com
 *
 * This file is part of Gryphon/X BBS.
 *
 * This BBS is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * Gryphon/X BBS is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Gryphon/X BBS; see the file COPYING.  If not, write to the Free
 * Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *****************************************************************************/
#include "structs.h"
#include "defs.h"
#include "acs.h"
#include "bbs.h"
#include "basics.h"
#include "fileio.h"
#include "msgbase.h"
#include "mbasedit.h"
#include "mci.h"
#include "mail.h"
#include "misc.h"
#include "conio.h"

void list_mbases()
{
	int i1,count=0;
	mb_list_rec mb;
	char disp[40];

	nl();	
	mci("`0F### Title                               "); 
	mci("`0F### Title                               "); nl();
	repeat(196,3); mci(" "); repeat(196,35);mci(" ");
	repeat(196,3); mci(" "); repeat(196,35);nl();
	i1=0;
	while(read_mbaselist(&mb,i1)){
		if(checkACS(mb.ReadACS)){
			strcpy(disp,mb.mbdisplay);
			mcistrset(disp,35);
			mci("`0F%3d `0E%s",i1+1,disp);
			if((count % 2) && i1>0) nl();
			count++;
			}
		i1++;
		}
}

void SelectGroup(int morf,char *opt)
{
	mfgrouprec grp;
	char ch,keys[18],mftxt[2][9]={"Message","File"};
	int i=0,cnt=0;

	if(opt[0]=='?' || opt[0]=='\0'){
		while(readgroup(&grp,i)){
			if(grp.grp[morf].isused){
				mci("~SM%c) %s",i+'A',grp.grp[morf].display);
				keys[cnt++]=i+'A';
				}
			i++;
			}
		keys[cnt++]='Q';
		keys[cnt]='\0';
		if(opt[0]=='?') return;
		}

	if(isalpha(opt[0])){
		if(opt[0]>='a' && opt[0]<='z')
			opt[0]-=32;
		thisuser.lastgroup=opt[0];
		return;
		}

	mci("~SM~SMSelect %s group (%s): ",mftxt[morf],keys);
	ch=onekey(keys);
	if(ch=='\r')	return;
	thisuser.lastgroup=ch;
	save_usr(&thisuser,thisuser.userID);
	if(thisuser.lastmbarea<total_mbases-1)
		GoNextMsgArea();
	else
		GoPrevMsgArea();
}
